function onTalk()
        disableRetry()
		setFlag("flagentreSC", true)
		playSound("event:/game/05_mirror_temple/mainmirror_torch_lit_1", player.Position)
		wait(0.5)
		setFlag("flagentreSC2", true)
	
end